# CompressWhitespaceFilter Class Reference
[Tools for primitive's filtration]

Replaces multiple adjacent whitespace by one. More...

Inheritance diagram for CompressWhitespaceFilter:
[legend]

List of all members.

## Public Member Functions

| apply ($value)

## Static Public Member Functions

static | me ()

## Detailed Description

Replaces multiple adjacent whitespace by one.

See also:
  RegulatedPrimitive::addImportFilter()

Definition at line 19 of file CompressWhitespaceFilter.class.php.

## Member Function Documentation

CompressWhitespaceFilter::apply | ( | $ | value | ) |

Definition at line 29 of file CompressWhitespaceFilter.class.php.

static CompressWhitespaceFilter::me | ( |  | ) | `[static]`

Returns:
  CompressWhitespaceFilter

Implements Instantiatable.

Definition at line 24 of file CompressWhitespaceFilter.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Form/Filters/CompressWhitespaceFilter.class.php